<interfaces xmlns="http://openconfig.net/yang/interfaces">
    <interface>
        <name>{{name}}</name>
        {% if operation is not defined or operation != 'delete' %}
        <config>
            <name>{{name}}</name>
            <description>{{description}}</description>
            <mtu>{{mtu}}</mtu>
        </config>
        {% endif %}
        <subinterfaces>
            <subinterface{% if operation is defined %} xmlns:nc="urn:ietf:params:xml:ns:netconf:base:1.0" nc:operation="{{operation}}"{% endif %}>
                <index>{{index}}</index>
                {% if operation is not defined or operation != 'delete' %}
                <config>
                    <index>{{index}}</index>
                </config>
                {% endif %}
            </subinterface>
        </subinterfaces>
    </interface>
</interfaces>
